Package org.jbpm.process.audit

## Class CommandBasedAuditLogService

- java.lang.Object
- - org.jbpm.process.audit.CommandBasedAuditLogService

- All Implemented Interfaces:
    `AuditLogService`, `org.kie.api.runtime.manager.audit.AuditService`

      public class CommandBasedAuditLogService
      extends Object
      implements AuditLogService

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `CommandBasedAuditLogService​(org.kie.api.runtime.CommandExecutor executor)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `clear()` |
    `void` | `dispose()` |
    `List<ProcessInstanceLog>` | `findActiveProcessInstances()` |
    `List<ProcessInstanceLog>` | `findActiveProcessInstances​(String processId)` |
    `List<NodeInstanceLog>` | `findNodeInstances​(long processInstanceId)` |
    `List<NodeInstanceLog>` | `findNodeInstances​(long processInstanceId, String nodeId)` |
    `ProcessInstanceLog` | `findProcessInstance​(long processInstanceId)` |
    `List<ProcessInstanceLog>` | `findProcessInstances()` | Service methods
    `List<ProcessInstanceLog>` | `findProcessInstances​(String processId)` |
    `List<ProcessInstanceLog>` | `findSubProcessInstances​(long processInstanceId)` |
    `List<VariableInstanceLog>` | `findVariableInstances​(long processInstanceId)` |
    `List<VariableInstanceLog>` | `findVariableInstances​(long processInstanceId, String variableId)` |
    `List<VariableInstanceLog>` | `findVariableInstancesByName​(String variableId, boolean activeProcesses)` |
    `List<VariableInstanceLog>` | `findVariableInstancesByNameAndValue​(String variableId, String value, boolean activeProcesses)` |
    `org.kie.internal.runtime.manager.audit.query.NodeInstanceLogDeleteBuilder` | `nodeInstanceLogDelete()` |
    `org.kie.internal.runtime.manager.audit.query.NodeInstanceLogQueryBuilder` | `nodeInstanceLogQuery()` | Creates a "query builder" instance that allows the user to specify the specific query criteria to retrieve `NodeInstanceLog` instances.
    `org.kie.internal.runtime.manager.audit.query.ProcessInstanceLogDeleteBuilder` | `processInstanceLogDelete()` |
    `org.kie.internal.runtime.manager.audit.query.ProcessInstanceLogQueryBuilder` | `processInstanceLogQuery()` | Creates a "query builder" instance that allows the user to specify the specific query criteria to retrieve `ProcessInstanceLog` instances.
    `<T,​R> List<R>` | `queryLogs​(org.jbpm.query.jpa.data.QueryWhere queryWhere, Class<T> queryClass, Class<R> resultClass)` |
    `org.kie.internal.runtime.manager.audit.query.VariableInstanceLogDeleteBuilder` | `variableInstanceLogDelete()` |
    `org.kie.internal.runtime.manager.audit.query.VariableInstanceLogQueryBuilder` | `variableInstanceLogQuery()` | Creates a "query builder" instance that allows the user to specify the specific query criteria to retrieve `VariableInstanceLog` instances.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### CommandBasedAuditLogService

          public CommandBasedAuditLogService​(org.kie.api.runtime.CommandExecutor executor)

  - ### Method Detail

    - #### findProcessInstances

          public List<ProcessInstanceLog> findProcessInstances()

      Description copied from interface: `AuditLogService`
      Service methods
      Specified by:
        `findProcessInstances` in interface `AuditLogService`
      Specified by:
        `findProcessInstances` in interface `org.kie.api.runtime.manager.audit.AuditService`

    - #### findActiveProcessInstances

          public List<ProcessInstanceLog> findActiveProcessInstances()

      Specified by:
        `findActiveProcessInstances` in interface `AuditLogService`

    - #### findProcessInstances

          public List<ProcessInstanceLog> findProcessInstances​(String processId)

      Specified by:
        `findProcessInstances` in interface `AuditLogService`
      Specified by:
        `findProcessInstances` in interface `org.kie.api.runtime.manager.audit.AuditService`

    - #### findActiveProcessInstances

          public List<ProcessInstanceLog> findActiveProcessInstances​(String processId)

      Specified by:
        `findActiveProcessInstances` in interface `AuditLogService`
      Specified by:
        `findActiveProcessInstances` in interface `org.kie.api.runtime.manager.audit.AuditService`

    - #### findProcessInstance

          public ProcessInstanceLog findProcessInstance​(long processInstanceId)

      Specified by:
        `findProcessInstance` in interface `AuditLogService`
      Specified by:
        `findProcessInstance` in interface `org.kie.api.runtime.manager.audit.AuditService`

    - #### findSubProcessInstances

          public List<ProcessInstanceLog> findSubProcessInstances​(long processInstanceId)

      Specified by:
        `findSubProcessInstances` in interface `AuditLogService`
      Specified by:
        `findSubProcessInstances` in interface `org.kie.api.runtime.manager.audit.AuditService`

    - #### findNodeInstances

          public List<NodeInstanceLog> findNodeInstances​(long processInstanceId)

      Specified by:
        `findNodeInstances` in interface `AuditLogService`
      Specified by:
        `findNodeInstances` in interface `org.kie.api.runtime.manager.audit.AuditService`

    - #### findNodeInstances

          public List<NodeInstanceLog> findNodeInstances​(long processInstanceId,
                                                         String nodeId)

      Specified by:
        `findNodeInstances` in interface `AuditLogService`
      Specified by:
        `findNodeInstances` in interface `org.kie.api.runtime.manager.audit.AuditService`

    - #### findVariableInstances

          public List<VariableInstanceLog> findVariableInstances​(long processInstanceId)

      Specified by:
        `findVariableInstances` in interface `AuditLogService`
      Specified by:
        `findVariableInstances` in interface `org.kie.api.runtime.manager.audit.AuditService`

    - #### findVariableInstances

          public List<VariableInstanceLog> findVariableInstances​(long processInstanceId,
                                                                 String variableId)

      Specified by:
        `findVariableInstances` in interface `AuditLogService`
      Specified by:
        `findVariableInstances` in interface `org.kie.api.runtime.manager.audit.AuditService`

    - #### findVariableInstancesByName

          public List<VariableInstanceLog> findVariableInstancesByName​(String variableId,
                                                                       boolean activeProcesses)

      Specified by:
        `findVariableInstancesByName` in interface `AuditLogService`
      Specified by:
        `findVariableInstancesByName` in interface `org.kie.api.runtime.manager.audit.AuditService`

    - #### findVariableInstancesByNameAndValue

          public List<VariableInstanceLog> findVariableInstancesByNameAndValue​(String variableId,
                                                                               String value,
                                                                               boolean activeProcesses)

      Specified by:
        `findVariableInstancesByNameAndValue` in interface `AuditLogService`
      Specified by:
        `findVariableInstancesByNameAndValue` in interface `org.kie.api.runtime.manager.audit.AuditService`

    - #### nodeInstanceLogQuery

          public org.kie.internal.runtime.manager.audit.query.NodeInstanceLogQueryBuilder nodeInstanceLogQuery()

      Description copied from interface: `AuditLogService`
      Creates a "query builder" instance that allows the user to specify the specific query criteria to retrieve `NodeInstanceLog` instances.
      Specified by:
        `nodeInstanceLogQuery` in interface `AuditLogService`
      Returns:
        a `NodeInstanceLogQueryBuilder` instance

    - #### variableInstanceLogQuery

          public org.kie.internal.runtime.manager.audit.query.VariableInstanceLogQueryBuilder variableInstanceLogQuery()

      Description copied from interface: `AuditLogService`
      Creates a "query builder" instance that allows the user to specify the specific query criteria to retrieve `VariableInstanceLog` instances.
      Specified by:
        `variableInstanceLogQuery` in interface `AuditLogService`
      Returns:
        a `VariableInstanceLogQueryBuilder` instance

    - #### processInstanceLogQuery

          public org.kie.internal.runtime.manager.audit.query.ProcessInstanceLogQueryBuilder processInstanceLogQuery()

      Description copied from interface: `AuditLogService`
      Creates a "query builder" instance that allows the user to specify the specific query criteria to retrieve `ProcessInstanceLog` instances.
      Specified by:
        `processInstanceLogQuery` in interface `AuditLogService`
      Returns:
        a `ProcessInstanceLogQueryBuilder` instance

    - #### processInstanceLogDelete

          public org.kie.internal.runtime.manager.audit.query.ProcessInstanceLogDeleteBuilder processInstanceLogDelete()

      Specified by:
        `processInstanceLogDelete` in interface `AuditLogService`

    - #### nodeInstanceLogDelete

          public org.kie.internal.runtime.manager.audit.query.NodeInstanceLogDeleteBuilder nodeInstanceLogDelete()

      Specified by:
        `nodeInstanceLogDelete` in interface `AuditLogService`

    - #### variableInstanceLogDelete

          public org.kie.internal.runtime.manager.audit.query.VariableInstanceLogDeleteBuilder variableInstanceLogDelete()

      Specified by:
        `variableInstanceLogDelete` in interface `AuditLogService`

    - #### queryLogs

          public <T,​R> List<R> queryLogs​(org.jbpm.query.jpa.data.QueryWhere queryWhere,
                                               Class<T> queryClass,
                                               Class<R> resultClass)

      Specified by:
        `queryLogs` in interface `AuditLogService`

    - #### clear

          public void clear()

      Specified by:
        `clear` in interface `org.kie.api.runtime.manager.audit.AuditService`

    - #### dispose

          public void dispose()

      Specified by:
        `dispose` in interface `org.kie.api.runtime.manager.audit.AuditService`